/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.userupdate.ldap;

import org.springframework.ldap.core.DirContextAdapter;
import org.springframework.ldap.core.simple.ParameterizedContextMapper;
import se.vgregion.userupdate.domain.UnitLdapAttributes;

/**
 * Created by IntelliJ IDEA.
 * Created: 2011-11-29 14:28
 *
 * @author <a href="mailto:david.rosell@redpill-linpro.com">David Rosell</a>
 */
public class UnitMapper implements ParameterizedContextMapper<UnitLdapAttributes> {
    @Override
    public UnitLdapAttributes mapFromContext(Object ctx) {
        DirContextAdapter adapter = (DirContextAdapter) ctx;

        UnitLdapAttributes unit = new UnitLdapAttributes();
        unit.setDn(adapter.getDn());
        unit.setVgrVardVal(adapter.getStringAttribute("vgrVardval"));
        unit.setVgrLabeledURI(adapter.getStringAttribute("vgrLabeledURI"));
        unit.setLabeledURI(adapter.getStringAttribute("labeledURI"));

        return unit;
    }
}
